#
# spec file for package uml-utilities (Version 20070815)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           uml-utilities
BuildRequires:  fuse-devel readline-devel
Url:            http://user-mode-linux.sourceforge.net/
License:        GPL-2.0+
Group:          System/Management
AutoReqProv:    on
Version:        20070815
Release:        60.3
Summary:        User Mode Linux Utilities
Source0:        uml_utilities_%{version}.tar.bz2
Patch1:         uml-utilities-ia64.diff
Patch2:         uml-utilities.diff
Patch3:         tools-20070815-fdleak.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64
Requires:       tunctl

%description
User mode Linux utilities.



Authors:
--------
    Jeff Dike <jdike@users.sourceforge.net>

%prep
%setup -q -n tools-%{version}
%patch1 -p1 -b ia64
%patch2
%patch3

%build
export	CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -D_FILE_OFFSET_BITS=64"
make	BIN_DIR="%{_bindir}"		\
	LIB_DIR="%{_libdir}/uml"	\
	CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -D_FILE_OFFSET_BITS=64"		\
	all

%install
make	BIN_DIR="%{_bindir}"		\
	LIB_DIR="%{_libdir}/uml"	\
	DESTDIR="%{buildroot}"		\
	install
install -d %{buildroot}/etc/sysconfig/uml
rm -f %{buildroot}%{_bindir}/tunctl

%files
%defattr(755,root,root)
%{_bindir}/*
%{_sbindir}/*
%dir %{_libdir}/uml
%{_libdir}/uml/*
%dir /etc/sysconfig/uml
%doc Changelog

%clean
test "%{buildroot}" != "" -a "%{buildroot}" != "/" &&\
	rm -rf "%{buildroot}"

%changelog
* Mon Oct  5 2009 crrodriguez@opensuse.org
- uml-utilities-20070815-36.8: missing call to fclose  [bnc#531220]
- build with -fno-strict-aliasing
* Mon Apr 14 2008 skh@suse.de
- update to version 20070815
- new utilities:
  /usr/bin/humfsify
  /usr/sbin/jail_uml
  /usr/bin/uml_mount
- full Changelog in /usr/share/doc/packages now
* Wed Mar 12 2008 mt@suse.de
- Moved tunctl into a separate package, added ExclusiveArch tag
* Mon Nov  6 2006 skh@suse.de
- removed uml-install-suse as it depended on y2pmsh
* Thu Oct 19 2006 ro@suse.de
- drop requires for /usr/bin/y2pmsh: dropped package
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 skh@suse.de
- updated to slightly newer version 20040406 (sic)
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Mon Sep 26 2005 ro@suse.de
- fix implicit declaration in cow.c
- do not strip during make install
* Thu Sep  8 2005 skh@suse.de
- fix permissions on manpage of uml-install-suse [#114849]
* Fri Jan  7 2005 kraxel@suse.de
- updated uml-install-suse script.
* Sun Aug  8 2004 agruen@suse.de
- Add support for SLES-style media (with have package descriptions
  on CD1 and CD2).
* Thu Mar 25 2004 kraxel@suse.de
- add /etc/sysconfig/uml directory.
* Mon Mar  8 2004 skh@suse.de
- update to version 20040114
- update to latest uml-install-suse from
  http://www.suse.de/~kraxel/uml/
* Tue Sep 16 2003 skh@suse.de
- Fix #30638
* Mon Sep  8 2003 skh@suse.de
- updated to version 20030903
* Mon Sep  8 2003 skh@suse.de
- fix for #29826 (kraxel)
- install with target rpm version to correctly build rpm v3 images
  on a rpm v4 system and vice versa (kraxel)
* Mon Jul 28 2003 skh@suse.de
- updated to version 20030605
* Tue Jun 17 2003 ro@suse.de
- added directory to filelist
* Mon Feb 17 2003 skh@suse.de
- updated to version 20030205
- more setup script features (install on block devices, specify
  file system type)
* Wed Feb  5 2003 kraxel@suse.de
- more setup script features (install via ftp/http).
* Mon Jan 27 2003 kraxel@suse.de
- setup script fixes and improvements.
* Wed Jan 22 2003 kraxel@suse.de
- added a script to setup a root filesystem.
* Mon Jan 20 2003 kraxel@suse.de
- updated to version 20030118.
- dropped 64bit patch (merged upstream).
* Tue Jan 14 2003 kraxel@suse.de
- build fix for ia64.
- added 64bit fixes for mconsole.
* Thu Jan  9 2003 kraxel@suse.de
- initial package.
